---
title: pve
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.pve) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.pve?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.pve) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.pve/src/branch/main/LICENSE)

Basic role to configure a [Proxmox VE](https://www.proxmox.com/en/proxmox-ve) server. Proxmox VE is a complete open-source platform for all-inclusive enterprise virtualization that tightly integrates KVM hypervisor and LXC containers, software-defined storage and networking functionality on a single platform.

{{< hint type=important >}} This role covers only some really basic configurations and should be considered as not production ready. {{< /hint >}}

<!--more-->

- [Default Variables](#default-variables)
  - [pve_auth_ldap_enabled](#pve_auth_ldap_enabled)
  - [pve_auth_ldap_tfa_oath_enabled](#pve_auth_ldap_tfa_oath_enabled)
  - [pve_auth_ldap_tfa_oath_pwlength](#pve_auth_ldap_tfa_oath_pwlength)
  - [pve_auth_ldap_tfa_oath_timestep](#pve_auth_ldap_tfa_oath_timestep)
  - [pve_auth_ldap_tfa_yubico_enabled](#pve_auth_ldap_tfa_yubico_enabled)
  - [pve_auth_pam_description](#pve_auth_pam_description)
  - [pve_auth_pam_is_default](#pve_auth_pam_is_default)
  - [pve_auth_pam_tfa_oath_enabled](#pve_auth_pam_tfa_oath_enabled)
  - [pve_auth_pam_tfa_yubico_enabled](#pve_auth_pam_tfa_yubico_enabled)
  - [pve_auth_pve_description](#pve_auth_pve_description)
  - [pve_auth_pve_is_default](#pve_auth_pve_is_default)
  - [pve_auth_pve_tfa_oath_enabled](#pve_auth_pve_tfa_oath_enabled)
  - [pve_auth_pve_tfa_yubico_enabled](#pve_auth_pve_tfa_yubico_enabled)
  - [pve_disk_mount](#pve_disk_mount)
  - [pve_nodes](#pve_nodes)
  - [pve_pamd_motd_enabled](#pve_pamd_motd_enabled)
  - [pve_tls_cert_source](#pve_tls_cert_source)
  - [pve_tls_enabled](#pve_tls_enabled)
  - [pve_tls_key_source](#pve_tls_key_source)
- [Discovered Tags](#discovered-tags)
- [Dependencies](#dependencies)

---

## Default Variables

### pve_auth_ldap_enabled

#### Default value

```YAML
pve_auth_ldap_enabled: false
```

### pve_auth_ldap_tfa_oath_enabled

#### Default value

```YAML
pve_auth_ldap_tfa_oath_enabled: false
```

### pve_auth_ldap_tfa_oath_pwlength

#### Default value

```YAML
pve_auth_ldap_tfa_oath_pwlength: 6
```

### pve_auth_ldap_tfa_oath_timestep

#### Default value

```YAML
pve_auth_ldap_tfa_oath_timestep: 30
```

### pve_auth_ldap_tfa_yubico_enabled

#### Default value

```YAML
pve_auth_ldap_tfa_yubico_enabled: false
```

### pve_auth_pam_description

#### Default value

```YAML
pve_auth_pam_description: Linux PAM standard authentication
```

### pve_auth_pam_is_default

#### Default value

```YAML
pve_auth_pam_is_default: true
```

### pve_auth_pam_tfa_oath_enabled

#### Default value

```YAML
pve_auth_pam_tfa_oath_enabled: false
```

### pve_auth_pam_tfa_yubico_enabled

#### Default value

```YAML
pve_auth_pam_tfa_yubico_enabled: false
```

### pve_auth_pve_description

#### Default value

```YAML
pve_auth_pve_description: Linux pve standard authentication
```

### pve_auth_pve_is_default

#### Default value

```YAML
pve_auth_pve_is_default: false
```

### pve_auth_pve_tfa_oath_enabled

#### Default value

```YAML
pve_auth_pve_tfa_oath_enabled: false
```

### pve_auth_pve_tfa_yubico_enabled

#### Default value

```YAML
pve_auth_pve_tfa_yubico_enabled: false
```

### pve_disk_mount

#### Default value

```YAML
pve_disk_mount: []
```

### pve_nodes

#### Default value

```YAML
pve_nodes:
  - node1
```

### pve_pamd_motd_enabled

#### Default value

```YAML
pve_pamd_motd_enabled: true
```

### pve_tls_cert_source

#### Default value

```YAML
pve_tls_cert_source: mycert.pem
```

### pve_tls_enabled

#### Default value

```YAML
pve_tls_enabled: false
```

### pve_tls_key_source

#### Default value

```YAML
pve_tls_key_source: mykey.pem
```

## Discovered Tags

tls_renewal
: &nbsp;


## Dependencies

None.
